Subject: Re: bug#53909: [PATCH 0/4] 'guix pull -l' no longer displays package lists by default

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Feb 2022 15:56:52 +0100

Hi,

zimoun <[email-masked]> skribis:

> On Wed, 09 Feb 2022 at 23:17, Ludovic Courtès <[email-masked]> wrote:
>
>> * guix/scripts/pull.scm (show-help, %options): Add "--details".
>
> IMHO, the commit online header should reflect that.

Right, fixed.

> Well, "guix pull --details" pulls; which I find annoying.  Instead, I
> propose to silently runs "guix pull --details -l", see this diff:
>
> diff --git a/guix/scripts/pull.scm b/guix/scripts/pull.scm
> index 707f1f0929..fb1dd6c82c 100644
> --- a/guix/scripts/pull.scm
> +++ b/guix/scripts/pull.scm
> @@ -142,7 +142,9 @@ (define %options
>                           result)))
>           (option '("details") #f #f
>                   (lambda (opt name arg result)
> -                   (alist-cons 'details? #t result)))
> +                   (alist-cons 'details? #t
> +                               (cons '(query list-generations #f)
> +                                     result))))

It’s a bit more complicated since you don’t want to override previous
‘-l’ arguments, but I did that.

> Last, about this change…
>
>> -  (define (no-arguments arg _‌)
>> +  (define (no-arguments arg _)
>
> …it a Git twist?  I miss what changed––my whitespace mode is badly
> configured?

There’s a ZERO WIDTH NON-JOINER above; you can see it with a trick I
recently learned: (set-face-background 'glyphless-char "red").

:-)

Anyway, pushed:

  054ec2e242 pull: '--list-generations' pipes its output to the pager.
  5b6e31b020 ui: 'display-generation' uses color when talking to a pager.
  7ffcee1937 ui: 'with-paginated-output-port' gives access to the wrapped port.
  b9df2e2b4d pull: '--list-generations' lists packages only with '--details'.

Thanks!

Ludo’.